%define ARTS_ON 0
%if_with master
%define distr master
%endif
%if_with junior
%define distr junior
%endif
%ifndef distr
%define distr sisyphus
%endif

Name: kde-settings
Version: 3.1.4
Release: alt8

Summary: The default configuration files for KDE
License: GPL
Group: System/Base
BuildArch: noarch

Requires: design-graphics >= 3.1.0
Provides: kde-desktoplnk = %version-%release, kde-design = %version-%release, kde-config =  %version-%release
Obsoletes: kde-desktoplnk, kde-design, kde-config

BuildRequires: XFree86-utils

Source0: %name-base.tar.bz2
Source1: %name-arts-on.tar.bz2
Source2: %name-arts-off.tar.bz2
Source3: %name-kdm.tar.bz2
Source4: %name-network.tar.bz2
Source5: %name-multimedia.tar.bz2
Source9: %name-Default-alt.kcsrc
#
Source10: kde-desktoplnk.tar.bz2
#
Source20: %name-user.tar.bz2

%description
%name package contains the default configuration
files for the K Desktop Environment.


%install
install -d -m 0755 %buildroot/%_sysconfdir/X11/kdm
install -d -m 0755 %buildroot/%_datadir/config/kdm
ln -s ../../../../%_sysconfdir/X11/kdm/kdmrc %buildroot/%_datadir/config/kdm/kdmrc

pushd %buildroot/%_datadir/config
    tar xvfj %SOURCE0
%if %ARTS_ON
    tar xvfj %SOURCE1
%else
    tar xvfj %SOURCE2
%endif
    tar xvfj %SOURCE4
    tar xvfj %SOURCE5
popd

cat >> %buildroot/%_datadir/config/kdeglobals <<EOF

[KSplash/ML]
Theme=Default
EOF


pushd %buildroot/%_sysconfdir/X11/kdm
    tar xvfj %SOURCE3
popd

install -d -m 0755 %buildroot/%_datadir/apps/kdisplay/color-schemes
install -m 0644 %SOURCE9 %buildroot/%_datadir/apps/kdisplay/color-schemes/Default-alt.kcsrc

mkdir -p %buildroot/%_datadir/alt/kde/desktoplnk
pushd %buildroot/%_datadir/alt/kde/desktoplnk
    tar xvfj %SOURCE10
popd

install -d -m 0755 %buildroot/%_datadir/alt/kde/userconfig
pushd %buildroot/%_datadir/alt/kde/userconfig
    tar xvfj %SOURCE20
popd


%files
%dir %_sysconfdir/X11/kdm
%config(noreplace) %_sysconfdir/X11/kdm/kdmrc
%config(noreplace) %_sysconfdir/X11/kdm/backgroundrc
%config(noreplace) %attr(0755,root,root) %_sysconfdir/X11/kdm/X*
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/*rc
%config(noreplace) %_datadir/config/*menu?
%config(noreplace) %_datadir/config/kdeglobals
%config(noreplace) %_datadir/config/kxmlrpcd
#
%dir %_datadir/config/kdm
%_datadir/config/kdm/kdmrc
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/Default-alt.kcsrc
#
%_datadir/alt/kde/desktoplnk
#
%_datadir/alt/kde/userconfig

%changelog
* Mon Nov 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt8
- turn saving session to KDE default setting

* Wed Oct 29 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt7
- don't save session by default
- fix alternative player name

* Fri Oct 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt6
- turn off artsd by default

* Mon Oct 20 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt5
- dock into panel kppp by default
- dock into panel kmix by default

* Wed Oct 15 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt4
- comment xsetroot in /etc/X11/kdm/Xsetup_0

* Fri Oct 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt3
- move /usr/share/config/* from kdenetwork

* Wed Sep 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt2
- default sort by thread in kmail

* Mon Sep 22 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- turn on full-duplex in arts by default
- fix welcome message in kdm

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- change URLs from /usr/share/design to /usr/share/artworks

* Thu Jul 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt3.sisyphus
- showing devices on desktop by default turned on

* Mon Jun 16 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2.sisyphus
- fix klipperrc about mozilla

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt1.sisyphus
- new version

* Tue Mar 25 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt10.sisyphus
- add ksysguarddrc
- change from logo to clock in kdm
- change greeting string

* Wed Feb 26 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt9.sisyphus
- different backgrounds for desktops 1 2 3 and 4

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt8.sisyphus
- fix spec

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt7.sisyphus
- turn off desktop devices

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.sisyphus
- build for sisyphus

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.master
- distributable-depended theme in ksplashml
- build for master

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- ars default default trought oss

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update settings
- add kdeprintrc from kdelibs

* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update settings
- move kdmrc to /etc/X11/kdm

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- fix path to kdm-logo

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- Initial revision.
